/*
 * The wildcard backend normally used for SOCKS v4/v5 protocol and HTTP
 * CONNECT method.
 */
backend t1 {
	.host = "0.0.0.0"/0;
	.port = "0";
}

sub vcl_accept {
	if (server.port == 7878 ||
	    server.port == 8081) {
		return (socks);
	}
}

sub vcl_http_recv {
	if (req.http.Host ~ "127.0.0.1") {
		error 404 "Not found";
	}
}

sub vcl_http_miss {
	if (bereq.url ~ "^http://") {
		set bereq.url = regsub(bereq.url, "http://[^/]*", "");
	}
}

sub vcl_http_pipe {
	if (bereq.request == "CONNECT") {
		set bereq.noflushreq = true;
	} else {
		if (bereq.url ~ "^http://") {
			set bereq.url = regsub(bereq.url, "http://[^/]*", "");
		}
	}
}

sub vcl_http_pass {
	if (bereq.url ~ "^http://") {
		set bereq.url = regsub(bereq.url, "http://[^/]*", "");
	}
}

